Toggle menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

Supported Operating Systems

From the unofficial Signal Wiki
(Redirected from Supported OSes)
Continuous work
This article or section is not yet complete.
You are welcome to help edit and improve it.

See also the Supporting Older Operating Systems support article.

Signal Android[edit | edit source]

Signal (and previously TextSecure)[edit | edit source]

Android version Android version name Android API / SDK Newest supported Signal / TextSecure version Signal version release date Supported until Currently supported
1.0-1.5 None, Petit Four, Cupcake 1-3 Was not supported?[1] No
1.6-2.1 Donut, Eclair 4-7 0.5.7[2] 2011-12-21[3] ?
2.2 Froyo 8 1.0.6[4] 2013-12-07[5] ?
2.3-3.2 Gingerbread, Honeycomb 9-13 4.11.0[6] 2017-10-03[7] ?
4.0-4.3 Ice Cream Sandwich, Jelly Bean 14-18 4.36.2[8] 2018-09-25[9] Evergreen[note 1]
4.4 KitKat 19, 20?[note 2] 6.8.3[10] 2023-01-17[11] 2023-04-17
5.0 and newer Lollipop and newer 21 and newer Current version Yes

RedPhone[edit | edit source]

Signal iOS[edit | edit source]

iOS/iPadOS version Newest supported Signal version Signal version release date Supported until Currently supported
... ... ... ... No
11.0-11.4.1 ... ... ...
12.2-12.5.7 6.28.0.11 (production)[12] 2023-06-14[13] or later August 24, 2023 05:00:00 UTC[14] No[note 3][note 4]
6.28.0.7 (beta)[12] 2023-06-08[15] or later
13.0 and newer Current version Yes

Signal Desktop[edit | edit source]

Windows[edit | edit source]

Linux[edit | edit source]

macOS[edit | edit source]

Notes[edit | edit source]

  1. A version that generally continued working even after the usual 90-day expiration (until it became incompatible with the production server). Signal stopped releasing such versions at some point.
  2. Android API level 20 is 4.4W, KITKAT_WATCH (see e.g. https://apilevels.com/). Unclear if Signal worked on this version.[source needed]
  3. "Apple ended active support for iOS 12 in September of 2019. We support older operating systems for as long as possible unless there is a technical limitation. This is not a decision we took lightly. Please also keep in mind that we have limitations on what operating systems we can support as we are a very small team and a non-profit organization. An iOS device running iOS 13 or later is now required to use Signal."—from a comment by Miguel-Signal on signalapp/Signal-iOS#5661
  4. About monthly in-app donations: "In regards to changing your subscription, your account should be in an auto-cancel state within a few days and the donation should be cancelled within a billing cycle. So at most, you will only be charged for one more month."—from a comment by Miguel-Signal on signalapp/Signal-iOS#5661

References[edit | edit source]

  1. "Compare against existing Build.VERSION_CODES. The 1.X Android versions don't have the 2.X VERSION_CODE symbols, so comparing against them in order to make 1.6 choices will throw runtime exceptions." signalapp/Signal-Android 8a6a1a5f03d2218cccb08a50bc3e492d52e74d2e
  2. "Bump up minimum supported Android version, add ActionBarSherlock dep. The minimum supported Android device is now 2.2 (Froyo). And we're embracing the ActionBarSherlock madness." signalapp/Signal-Android 607d14c6d7ab1ad9e855fd4b4920544f84d5a0b6
  3. "Bump version to 0.5.7" signalapp/Signal-Android 6a30867fd481474e8634b508d524863bc8a6b565
  4. "Use minSdkVersion 9" signalapp/Signal-Android a0dd1689dac7acabff88a53f918d967b7d8e0120
  5. "Bump version to 1.0.6" signalapp/Signal-Android ce4f935fa65aa68b537d636d29a42269c8b92f2c
  6. "Bump minSdk to API 14 [...]" signalapp/Signal-Android 5189fbf68615a788bbacb71af73c709a1aaa04f3
  7. "Bump version to 4.11.0" signalapp/Signal-Android 04fcb9c531b7c06495e4347b8fff7b4efa069da6
  8. "Bump minSdk to 19." signalapp/Signal-Android 6df54573050a639a0c22d738c83dcb6f52f9f37e
  9. "Bump version to 4.26.2" signalapp/Signal-Android 6a0b89feaa4dd2d2412011795a943b699d3d0466
  10. "Bump minSdk to 21." signalapp/Signal-Android 8cfd02aff274883db48e7ca048e8b35dc102d9ed
  11. "Bump version to 6.8.3" signalapp/Signal-Android 90112bec31427ba7c95e3f3b9244bfb2e36eec76
  12. 12.0 12.1 "Update build target to iOS 13.0" signalapp/Signal-iOS f728457039f5b8cebb0243086252e94edeb8f129
  13. ""Bump build to 6.28.0.11."" signalapp/Signal-iOS f5a973cc057009abb67a49ca2a8720de42542d24
  14. "Date(timeIntervalSince1970: 1692853200)" signalapp/Signal-iOS: Signal/src/util/OsExpiry.swift#L11
  15. ""Bump build to 6.28.0.7." (Beta)" signalapp/Signal-iOS 534748d94158fc7d39f33f37d5b1c0a8edfe54f6
Cookies help us deliver our services. By using our services, you agree to our use of cookies.